
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux下Nagios的安装与配置 / iVAN</title>

    <meta name="description" content="Linux下Nagios的安装与配置 Nagios是企业普遍使用的最具影响力的网络信息监视系统之一,它可以动态监视指定的网络状态,并在状态异常时发出警告音或邮件报警通知运维人员.监控的类型和警报定时器是完全可定制的. Nagios的另一强大功能是它能同时监测主机和服务.例如,它可以同时监测到IP地址和TCP/UDP端口号.为进一步阐述此功能,我们假定有台需要监测的web服务器,Nagios可运用在服务器上基于IP/服务器名运行ping命令的方法检测服务器是否在线,同时当服务器的RTT(往返时延)增加时,Nagios会随时告警.另外,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux下Nagios的安装与配置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://www.nagios.org/" rel="external nofollow noreferrer">Nagios</a>是企业普遍使用的最具影响力的网络信息监视系统之一，它可以动态监视指定的网络状态，并在状态异常时发出警告音或邮件报警通知运维人员。监控的类型和警报定时器是完全可定制的。</p>
<p>Nagios的另一强大功能是它能同时监测主机和服务。例如，它可以同时监测到IP地址和TCP/UDP端口号。为进一步阐述此功能，我们假定有台需要监测的web服务器，Nagios可运用在服务器上基于IP/服务器名运行ping命令的方法检测服务器是否在线，同时当服务器的RTT（往返时延）增加时，Nagios会随时告警。另外，Nagios还能检测TCP的80端口(web服务器)是否可达，比如可能出现服务器在线但Apache/IIS没有响应的情况。</p>
<p>而基于Nagios的第三方监测工具如<a href="http://www.centreon.com/" rel="external nofollow noreferrer">Centreon</a>, <a href="http://www.fullyautomatednagios.org/" rel="external nofollow noreferrer">FAN</a> , <a href="http://www.op5.com/" rel="external nofollow noreferrer">op5 Monitor</a> 在界面设计，自动化运行和技术支持方面在独立的Nagios引擎基础上提供了相应的补充。</p>
<p>本段教程将展示Linux下Nagios的安装与配置.</p>
<h2>Debian或Ubuntu下Nagios的安装</h2>
<p>Debian系统用户使用apt-get命令就可安装Nagios:</p>
<pre>
</pre>
<ol>
<li>root@mrtg:~# apt-get install nagios3</li>
</ol>
<p>Nagios安装过程中可以设置邮件服务器，安装后也可以进行自定义设置。</p>
<p>提示：为使Nagios可正常发送邮件通知，需正确配置SMTP。</p>
<p><a href="http://www.flickr.com/photos/xmodulo/11198373625/" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNDEyLzE5LzIzMDAxMXpkaGRmc2JoazVraWZhaGIuanBn.jpg"></a></p>
<p>可以看到Nagios支持多种邮件传送方式。最常见的莫过于服务器（Internet Site）直接向接收者发送邮件，另一种常见的形式是用智能主机或中继服务器，将邮件传送至中继邮件服务器，然后它负责将邮件传送给接收者。</p>
<p>进行下一步操作时服务器的域名需要包含进去。</p>
<p><a href="http://www.flickr.com/photos/xmodulo/11198394746/" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNDEyLzE5LzIzMDAxNGcyMXVodDhtbXJ0MXBvd3IuanBn.jpg"></a></p>
<p>最后，设置一下Nagios管理员‘nagiosadmin’的密码，用户可以之后自行修改密码。</p>
<p><a href="http://www.flickr.com/photos/xmodulo/11198378964/" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNDEyLzE5LzIzMDAxNmk0cjR6ajRhMHp2ZXluZm4uanBn.jpg"></a></p>
<h2>CentOS或RHEL下Nagios的安装</h2>
<p>使用yum命令来安装，<a href="http://xmodulo.com/2013/01/how-to-set-up-rpmforge-repoforge-repository-on-centos.html" rel="external nofollow noreferrer">建立repoforge库</a>之后运行如下yum命令:</p>
<pre>
</pre>
<ol>
<li>[root@mrtg ~]# yum install nagios nagios-plugins</li>
</ol>
<h2>监测需求</h2>
<p>本段教程中，我们希望完成以下监测内容：</p>
<ol>
<li>每三分钟监测一次所有Linux服务器。</li>
<li>每三分钟监测一次所有思科路由器。</li>
<li>所有的邮件告警集中发送至sentinel@example.tst。</li>
<li>发出告警前Nagios都将进行3次验证以确保问题确有发生。</li>
<li>当设备的往返时延超过100ms并且/或包丢失量超过20%将发出邮件告警。</li>
</ol>
<p>余下的教程将指导您如何在Linux系统中配置Nagios。</p>
<h2>Ubuntu下Nagios的配置</h2>
<p>明确Nagios配置文件的地址至关重要，以下路径指明了Debian系统下Nagios的配置文件地址。</p>
<pre>
</pre>
<ol>
<li>/etc/nagios-plugins     实现监测功能的专有脚本存放地址</li>
<li>/etc/nagios3    添加主机、服务，定义检测和定时器的配置文件</li>
<li>/usr/lib/nagios/plugins     用于监测的可执行文件</li>
</ol>
<p>接下来的步骤相互关联，由此开始定义主机，主机组及向主机组添加服务操作。</p>
<h3>添加主机模板</h3>
<p>我们对同一类型的主机定义了对应的模板，这里使用安装文件作举例说明。</p>
<p>首先，为Linux设备定义主机模板。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:~# cd /etc/nagios3/conf.d</li>
<li>root@mrtg:/etc/nagios3/conf.d/# cp generic-host_nagios2.cfg linux-server.cfg</li>
</ol>
<p>如下编辑linux-server.cfg。需要修改部分已经标出。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# vim linux-server.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define host{</li>
<li>name                        linux-server    ; 名称，需修改</li>
<li>notifications_enabled       1</li>
<li>event_handler_enabled       1</li>
<li>flap_detection_enabled      1</li>
<li>failure_prediction_enabled  1</li>
<li>process_perf_data           1</li>
<li>retain_status_information   1</li>
<li>retain_nonstatus_information    1</li>
<li>check_command               example-host-check  ; 检查所用脚本，需修改</li>
<li>check_interval              3       ; 连续检查的间隔，需修改</li>
<li>max_check_attempts          3       ; 产生邮件告警前的自检次数，需修改</li>
<li>notification_interval       0</li>
<li>notification_period 24x7</li>
<li>notification_options        d,u,r</li>
<li>contact_groups              admins  ; 邮件将要发送至的组，需修改</li>
<li>register0</li>
<li>}</li>
</ol>
<p>接下来，为Cisco设备定义主机模板。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# cp linux-server.cfg cisco-device.cfg</li>
</ol>
<p>如下修改cisco-device.cfg。需要修改部分已经标出。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# vim cisco-device.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define host{</li>
<li>name                        cisco-device    ；名称，需修改</li>
<li>notifications_enabled       1</li>
<li>event_handler_enabled       1</li>
<li>flap_detection_enabled      1</li>
<li>failure_prediction_enabled  1</li>
<li>process_perf_data           1</li>
<li>retain_status_information   1</li>
<li>retain_nonstatus_information    1</li>
<li>check_command               example-host-check  ; 检查时使用的脚本，需修改</li>
<li>check_interval              3   ; 连续检查间隔，需修改</li>
<li>max_check_attempts          3   ; 产生邮件告警前的自检次数，需修改</li>
<li>notification_interval       0</li>
<li>notification_period         24x7</li>
<li>notification_options        d,u,r</li>
<li>contact_groups              admins  ; 邮件将要发至的组，需修改</li>
<li>register                    0</li>
<li>}</li>
</ol>
<h3>添加主机</h3>
<p>现在已定义主机模板，就可以添加需要监测的主机。以默认的文件作例子展示如下内容。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# cp localhost_nagios2.cfg example.cfg</li>
<li>root@mrtg:/etc/nagios3/conf.d/# vim example.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li># Host 1</li>
<li>define host{</li>
<li>use                     linux-server    ; 使用的主机模板名</li>
<li>host_name               our-server      ; nagios使用的主机名</li>
<li>alias                   our-server</li>
<li>address                 172.17.1.23     ; 主机的IP地址</li>
<li>}</li>
<li> </li>
<li># Host 2</li>
<li>define host{</li>
<li>use                     cisco-device    ; 使用的主机模板名</li>
<li>host_name               our-router      ; nagios使用的主机名</li>
<li>alias                   our-router</li>
<li>address                 172.17.1.1      ; 主机的IP地址</li>
<li>}</li>
</ol>
<h3>主机组定义</h3>
<p>当有多个主机时，为方便管理，建议将相似的主机组成一组。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# vim hostgroups_nagios2.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define hostgroup {</li>
<li>hostgroup_name  linux-server    ; 主机组名</li>
<li>alias           Linux Servers</li>
<li>members         our-server      ; 组员列表</li>
<li>}</li>
<li> </li>
<li>define hostgroup {</li>
<li>hostgroup_name  cisco-device    ; 主机组名</li>
<li>alias           Cisco Devices</li>
<li>members         our-server      ; comma separated list of members</li>
<li>}</li>
</ol>
<h3>定义服务</h3>
<p>首先，定义一个服务example-host-check：当往返时延达到100ms预警值并且有20%包丢失时发出警告，而紧急告警设置为5000ms且包丢失比率为100%，只执行一个IPv4的ping请求检测。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:~# vim /etc/nagios-plugins/config/ping.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define command{</li>
<li>command_name    example-host-check</li>
<li>command_line    /usr/lib/nagios/plugins/check_ping -H '$HOSTADDRESS$' -w 100,20% -c 5000,100% -p 1 -4</li>
<li>}</li>
</ol>
<p>然后，将命令关联至主机组。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# vim services_nagios2.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define service {</li>
<li>hostgroup_name            linux-server</li>
<li>service_description       Linux Servers</li>
<li>check_command             example-host-check</li>
<li>use                       generic-service</li>
<li>notification_interval     0 ; 初始化设置为0</li>
<li>}</li>
<li> </li>
<li>define service {</li>
<li>hostgroup_name            cisco-device</li>
<li>service_description       Cisco Devices</li>
<li>check_command             example-host-check</li>
<li>use                       generic-service</li>
<li>notification_interval     0 ; 初始化设置为0</li>
<li>}</li>
</ol>
<h3>联系人定义</h3>
<p>进行如下定义将发送邮件需要的地址添加至Nagios。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:/etc/nagios3/conf.d/# vim contacts.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define contact{</li>
<li>contact_name                    root</li>
<li>alias                           Root</li>
<li>service_notification_period     24x7</li>
<li>host_notification_period        24x7</li>
<li>service_notification_options    w,u,c,r</li>
<li>host_notification_options       d,r</li>
<li>service_notification_commands   notify-service-by-email</li>
<li>host_notification_commands      notify-host-by-email</li>
<li>email                           root@localhost, sentinel@example.tst</li>
<li>}</li>
</ol>
<p>最后，试运行初始化检测是否有配置错误。如果没有错误，Nagios开始安全运行。</p>
<pre>
</pre>
<ol>
<li>root@mrtg:~# nagios -v /etc/nagios3/nagios.cfg</li>
<li>root@mrtg:~# service nagios3 restart</li>
</ol>

<h2>CentOS/RHEL上的Nagios配置</h2>
<p>Redhat系统中Nagios的配置文件地址如下所示。</p>
<pre>
</pre>
<ol>
<li>/etc/nagios/objects     添加主机、服务，定义监测和定时器的配置文件</li>
<li> </li>
<li>/usr/lib/nagios/plugins     实现监测的可执行文件</li>
</ol>
<h3>添加主机模板</h3>
<p>为特定类型的主机创建所需的模板，相应修改安装所需的文件。</p>
<pre>
</pre>
<ol>
<li>[root@mrtg objects]# cd /etc/nagios/objects/</li>
<li>[root@mrtg objects]# vim templates.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define host{</li>
<li>name                   linux-server</li>
<li>use                    generic-host</li>
<li>check_period           24x7</li>
<li>check_interval         3</li>
<li>retry_interval         1</li>
<li>max_check_attempts     3</li>
<li>check_command          example-host-check</li>
<li>notification_period    24x7</li>
<li>notification_interval  0</li>
<li>notification_options   d,u,r</li>
<li>contact_groups         admins</li>
<li>register               0</li>
<li>}</li>
<li> </li>
<li>define host{</li>
<li>name                   cisco-router</li>
<li>use                    generic-host</li>
<li>check_period           24x7</li>
<li>check_interval         3</li>
<li>retry_interval         1</li>
<li>max_check_attempts     3</li>
<li>check_command          example-host-check</li>
<li>notification_period    24x7</li>
<li>notification_interval  0</li>
<li>notification_options   d,u,r</li>
<li>contact_groups         admins</li>
<li>register               0</li>
<li>}</li>
</ol>
<h3>添加主机和主机组</h3>
<p>这里以默认的配置文件为例，主机和主机组添加至配置文件中。</p>
<pre>
</pre>
<ol>
<li>[root@mrtg objects]# cp localhost.cfg example.cfg</li>
<li>[root@mrtg objects]# vim example.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>#Adding Linux server</li>
<li>define host{</li>
<li>use         linux-server</li>
<li>host_name   our-server</li>
<li>alias       our-server</li>
<li>address     172.17.1.23</li>
<li>}</li>
<li> </li>
<li>#Adding Cisco Router</li>
<li>define host{</li>
<li>use         cisco-router</li>
<li>host_name   our-router</li>
<li>alias       our-router</li>
<li>address     172.17.1.1</li>
<li>}</li>
<li> </li>
<li># HOST GROUP DEFINITION</li>
<li>define hostgroup{</li>
<li>hostgroup_name  linux-servers</li>
<li>alias           Linux Servers</li>
<li>members         our-server</li>
<li>}</li>
<li> </li>
<li>define hostgroup{</li>
<li>hostgroup_name  cisco-router</li>
<li>alias           cisco-router</li>
<li>members         our-router</li>
<li>}</li>
</ol>
<h3>服务定义</h3>
<p>定义一个服务example-host-check：当往返时延达到100ms预警值并且有20%包丢失时发出警告，而紧急告警设置为5000ms且包丢失比率为100%，只执行一个IPv4的ping请求检测。</p>
<pre>
</pre>
<ol>
<li>[root@mrtg objects]# vim commands.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define command{</li>
<li>command_name    example-host-check</li>
<li>command_line    $USER1$/check_ping -H $HOSTADDRESS$ -w 100.0,20% -c 5000.0,100% -p 1 -4</li>
<li>}</li>
</ol>
<h3>联系人定义</h3>
<p>告警要发送的邮件地址添加至Nagios中。</p>
<pre>
</pre>
<ol>
<li>[root@objects objects]# vim contacts.cfg</li>
</ol>
<p>-</p>
<pre>
</pre>
<ol>
<li>define contact{</li>
<li>contact_name    nagiosadmin</li>
<li>use             generic-contact</li>
<li>alias           Nagios Admin</li>
<li>email           nagios@localhost, sentinel@example.tst</li>
<li>}</li>
</ol>
<p>最后，准备启动Nagios服务，可先试运行检测配置是否出错。</p>
<pre>
</pre>
<ol>
<li>[root@mrtg ~]# nagios –v /etc/nagios/nagios.cfg</li>
<li>[root@mrtg ~]# service nagios restart</li>
<li>[root@mrtg ~]# chkconfig nagios on</li>
</ol>
<h3>配置后访问Nagios</h3>
<p>现在一切就绪，可以开始Nagios之旅了。Ubuntu/Debian用户可以通过打开 http://IP地址/nagios3 网页访问Nagios，CentOS/RHEL用户可以打开 http://IP地址/nagios ，如<a href="http://172.17.1.23/nagios3" rel="external nofollow noreferrer">http://172.17.1.23/nagios3</a> 来访问Nagios。“nagiosadmin”用户则需要认证来访问页面。</p>
<p><a href="http://www.flickr.com/photos/xmodulo/11198394806/" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNDEyLzE5LzIzMDAxOHY3MzdqamptaWNjYzNlbXMuanBn.jpg"></a></p>
<p>若Nagios没有依原设定运行，首先要做的是建立一个测试运行（dry run）。</p>
<p>Debian或Ubuntu系统：</p>
<pre>
</pre>
<ol>
<li># nagios3 -v /etc/nagios3/nagios.cfg</li>
</ol>
<p>CentOS或RHEL系统：</p>
<pre>
</pre>
<ol>
<li># nagios -v /etc/nagios/nagios.cfg</li>
</ol>
<p>原文发布时间为：2014-01-03</p>
<p>本文来自合作伙伴“Linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:02:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%9c%ba/" title="主机">主机</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/vim/" title="vim">vim</a>, <a href="https://www.iamivan.net/tag/debian/" title="debian">debian</a>, <a href="https://www.iamivan.net/tag/nagios/" title="nagios">nagios</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux下Nagios的安装与配置的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kNnaz.html" rel="bookmark">Linux下Nagios的安装与配置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Nagios简介 Nagios是一款开源的电脑系统和网络监视工具,能有效监控Windows.Linux和Unix的主机状态,交换机路由器等网络设置,打印机等.在系统或服务状态异常时发出邮件或短信报警第一时间通知网站运维人员,在状态恢复后发出正常的邮件或短信通知. Nagios原名为NetSaint,由Ethan Galstad开发并维护至今.NAGIOS是一个缩写形式: &quot;Nagios Ain't Gonna Insist On Sainthood&quot; Sainthood 翻译为圣徒			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Wk1rM.html" rel="bookmark">基于Linux下Nagios的安装与配置说明介绍&lbrack;图&rsqb;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Nagios简介 Nagios是一款开源的电脑系统和网络监视工具,能有效监控Windows.Linux和Unix的主机状态,交换机路由器等网络设置,打印机等.在系统或服务状态异常时发出邮件或短信报警第一时间通知网站运维人员,在状态恢复后发出正常的邮件或短信通知. Nagios原名为NetSaint,由Ethan Galstad开发并维护至今.NAGIOS是一个缩写形式: &quot;Nagios Ain't Gonna Insist On Sainthood&quot; Sainthood 翻译为圣徒			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKJDvp.html" rel="bookmark">Linux下MySQL的安装与配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在Linux下MySQL的安装,我一直觉得挺麻烦的,因为之前安装时就是由于复杂的配置导致有点晕.今天,需要在Linux下用Qt连接MySQL.遂安装配置了一把. 1)首先检查系统中是否已经安装了MySQL 在终端里面输入 sudo netstat -tap | grep mysql 若没有反映,没有显示已安装结果,则没有安装.若如下显示,则表示已经安装 2)如果没有安装,则安装MySQL. 在终端输入 sudo apt-get install mysql-server mysql-clien			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRvn2b.html" rel="bookmark">Linux下samba的安装与配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景          在window7下面虚拟了一个CentOS6.3,为了学习命令行就没有装图形包,所以我的CentOS是黑屏的那种,呵呵,当然了,VMWare提供 的增强功能我就不能用了(或许能吧,我不知道怎么设置?),正好,就借这个机会逼着自己把samba学习一下,说&quot;逼&quot;一点也不夸张,我从昨天下午6点到 现在8点了都没合眼,当然不睡觉还有其他的原因.下面是我这一夜的成果,写出来给大家看下.一.简介    Samba,是在Unix上实现SMB(Server Message Bl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKdV5M.html" rel="bookmark">Linux下ZendOptimizer的安装与配置方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内容:  在装的好的Red Hat Linux 9 + Apache 2.0.55 + MySQL 5.1.6 + PHP 5.1.2后,接下来就是安装linux下的php加速器ZendOptimizer 2.6.2了.  自己编译 PHP 后,Zend Optimizer 2.6.2 需要自己设置一下,请参照以下步骤:  假设你编译滴PHP在如下目录:/opt/php  第一步:下载 Zend Optimizer 2.6.2 地址:http://downloads.zend.com/optim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32DD7z.html" rel="bookmark">Linux下PostgreSQL 的安装与配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介 PostgreSQL 是一种非常复杂的对象-关系型数据库管理系统(ORDBMS),也是目前功能最强大,特性最丰富和最复杂的自由软件数据库系统.有些特性甚至连商业数据库都不具备.这个起源于伯克利(BSD)的数据库研究计划目前已经衍生成一项国际开发项目,并且有非常广泛的用户. 二.系统环境 系统平台:CentOS release 6.3 (Final) PostgreSQL 版本:PostgreSQL 9.2.4 防火墙已关闭/iptables: Firewall is not runni			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq00eb.html" rel="bookmark">Linux&sol;Unix下ODBC的安装、配置与编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				odbc|unix|编程 Linux/Unix下ODBC的安装.配置与编程 齐亮 (cavendish@eyou.com) 2002 年 7 月 本文主要内容是介绍ODBC的简单原理,以及如何在Linux/Unix下进行ODBC的安装.配置与编程. 一. ODBC原理 ODBC 是Open Database Connect 即开放数据库互连的简称,它是由Microsoft 公司于1991 年提出的一个用于访问数据库的统一界面标准,是应用程序和数据库系统之间的中间件.它通过使用相应应用平台上和所需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7j7Np.html" rel="bookmark">Linux下NDK的安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux下NDK的安装配置     在编写android程序的时候如果需要复用一部分以前的c语言程序,可以考虑使用NDK.由于设计到c和c++编程,故强烈建议在Linux下安装上eclipse的CDT插件.安装方法同安装其他插件的方式一样,推荐离线安装,方法这里不再赘述.     在使用NDK之前需要下载android-ndk包,下载解压后将解压后的文件夹拷贝到自定义的目录下面(如&quot;/root/&quot;目录下),如图一所示.   图一  拷贝解压后的ndk文件夹到自定义目录下      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP94mp.html" rel="bookmark">linux yum yellowdog-关于linux下 yum的安装问题，，，配置，，（第一次提问）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于linux下 yum的安装问题,,,配置,,(第一次提问) 我在虚拟机下,装了Redhat,用Rpm命令查找YUM找不到,,就想在网上下载一个安装,,,,,,就大神 解决方案 去sohu或163的镜像站下一个yum的rpm包,然后用rpm -i命令安装上即可 解决方案二: 没有yum安装包,网上下载一个.deb包然后双击安装就ok了~			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdBLAb.html" rel="bookmark" class="title">win7任务栏不见了只有开始菜单怎么回事</a>
					<div>
						  win7任务栏不见了只有开始菜单怎么回事 1.在任意位置新建一个文本文档; 2.打开新建文本文档,将下面代码复制进去: reg delete &quot;HKEY_CURRENT_USERSoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgmWBz.html" rel="bookmark" class="title">VB&period;NET验证邮件地址的合法性实现代码</a>
					<div>
						一.提出问题 现在,对于用户在Web页面上或电话中给出的Email地址,我们越来越不敢肯定它是否真的有效.在今天这个垃圾邮件泛滥成灾的年代,人们完全有理由舍不得轻易透露Email地址. 另一方面,对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVk94b.html" rel="bookmark" class="title">Fireworks4 巧用无缝填充处理图片</a>
					<div>
						先看看效果 你不要以为这些图片是用到了ps中的滤镜功能,这只是在fireworks中用到了一点点小技巧.没想到FW还有这功能吧?废话少说了,现在就让我们动手去实践吧. 1.新建文件,Width=4pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkqLOb.html" rel="bookmark" class="title">asp列出sql数据库中所有数据视图</a>
					<div>
						视图|数据|数据库 下面的语句将列出数据库中(PUBS数据库)数据视图 pubDatabase =oSQLServer.Databases(&quot;pubs&quot;)'oSQLServer是前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGqXeM.html" rel="bookmark" class="title">SEOWHY如何成为搜索引擎眼中的品牌的</a>
					<div>
						做SEO的朋友没有不知道SEOWHY的,它早就是我们SEOer眼中的品牌了,但今天SEOWHY已经成为搜索引擎百度眼中的品牌了,大家可以看一下这个图片   大家看到了吧,SEOWHY的ICO图标出现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4oDNp.html" rel="bookmark" class="title">一起学DNS系列（三）理解计算机的多种DNS后缀选项</a>
					<div>
						上节介绍了计算机主DNS后缀的一些内容,今天这一节将继续延伸此话题,同时也谈到与之相关的其他概念. 本节的试验环境是一台DC和一台客户机相连,很简单的拓扑环境.如下图: 在WINS系列中我们说到,当利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7xE2M.html" rel="bookmark" class="title">浅谈代码的执行效率（4）：汇编优化</a>
					<div>
						终于谈到这个话题了,首先声明我不是汇编优化的高手,甚至于我知道的所有关于汇编优化的内容,仅仅来自于学校的课程.书本及当年做过的一些简单练习.换句话说,我了解的东西只能算是一些原则,甚至也有一些&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo61g3z.html" rel="bookmark" class="title">常用的linux系统监控命令整理</a>
					<div>
						  找到最耗CPU的java线程ps命令 命令:ps -mp pid -o THREAD,tid,time 或者 ps -Lfp pid 结果展示: 这个命令的作用,主要是可以获取到对应一个进程下的线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EA3vM.html" rel="bookmark" class="title">如何使用photoshop批量处理摄影图片</a>
					<div>
						  有时我们想往网站批量上传图片的时候,会发现我们的图片大小参数不齐,而且照片很大,占用了大量硬盘空间. 这时候我们就可以使用强大的photoshop软件,利用PS里面的动作进行批处理,它可以调整尺寸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3m25M.html" rel="bookmark" class="title">如何打造质感细腻丰富的黑白效果？</a>
					<div>
						  今天的教程效果非常有格调,是黑白效果中特别有范儿的一类,不过光给操作方法可能有的同学不清楚原理,难以举一反三,今天@他山之眼 同学追根溯源,帮你彻底Get到这个技能 &gt;&gt;&gt; 其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7PdEb.html" rel="bookmark" class="title">怎么看电脑DirectX版本</a>
					<div>
						  DirectX是什么意思? DirectX,(Direct eXtension,简称DX)是由微软公司创建的多媒体编程接口.由C++编程语言实现,遵循COM.被广泛使用于Microsoft Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZPNNb.html" rel="bookmark" class="title">MongoDB权限验证流程</a>
					<div>
						上篇文章说到,MongoDB的网络通讯协议流程.拿到请求对象后,会调用assemblyResonse函数处理.这部分的代码实在没什么章法可言,if-else遍地,实在不怎么优雅.可以感受到随着需求的增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywkYZz.html" rel="bookmark" class="title">安装MSE可导致Windows Defende自动关闭</a>
					<div>
						安装微软免费杀毒软件MSE(Microsoft Security Essentials)之后,Windows Defender会被自动关闭,因为MSE已包括了Defender的功能.这两者并不能共存, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwx2mb.html" rel="bookmark" class="title">&dollar;&lpar;window&rpar;&period;resize&lpar;&rpar; 执行延迟</a>
					<div>
						问题 $(window).resize() 是监听窗口大小缩放,而后执行动作.最近在用echarts报表时,发现表报的缩放跟不上窗口的缩放节奏,比窗口的缩放总是慢一步.代码 $(window).res ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwa93p.html" rel="bookmark" class="title">IOS 面试题</a>
					<div>
						面试能力要求:精通iphone的UI开发,能熟练操作复杂表视图,熟练使用图层技术, 可以自定义UI控件,使用类别扩展系统控件功能;   擅长通讯技术,熟悉各种通信协议,精通xml, json, 二进制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdqR5M.html" rel="bookmark" class="title">浅谈数据库连接</a>
					<div>
						原文:浅谈数据库连接 必须澄清,虽然文章是我总结整理的,但是很多知识的确不是我能研究分析得出来,通过听培训.看书.实践所总结得出,一方面为了给自己备用,以便以后出现问题能解决,另一方面也希望遇到相同问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrRr9M.html" rel="bookmark" class="title">Chosen 基于jquery的选择框插件使用方法&lowbar;jquery</a>
					<div>
						Chosen插件下载地址  http://www.jb51.net/jiaoben/38027.html 复制代码 代码如下: &lt;script src=&quot;https://ajax.go ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoWm7b.html" rel="bookmark" class="title">图片-C语言选择排序，最后一个数字后的三角形是什么鬼？？</a>
					<div>
						问题描述 C语言选择排序,最后一个数字后的三角形是什么鬼?? 代码在这: #include&lt;stdio.h&gt; int main() { void sort(int *x,int n); i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7ADXz.html" rel="bookmark" class="title">返璞归真 asp&period;net mvc &lpar;11&rpar; - asp&period;net mvc 4&period;0 新特性之自宿主 Web API&comma; 在 WebForm 中提供 Web API&comma; 通过 Web API 上传文件&comma; &period;net 4&period;5 带来的更方便的异步操作</a>
					<div>
						原文:返璞归真 asp.net mvc (11) - asp.net mvc 4.0 新特性之自宿主 Web API, 在 WebForm 中提供 Web API, 通过 Web API 上传文件,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YAl4M.html" rel="bookmark" class="title">&period;NET平台开源项目速览&lpar;9&rpar;软件序列号生成组件SoftwareProtector介绍与使用</a>
					<div>
						在文章:这些.NET开源项目你知道吗?让.NET开源来得更加猛烈些吧!(第二辑)中,给大家初步介绍了一下Software Protector序列号生成组件.今天就通过一篇简单的文章来预览一下其强大的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NawrM.html" rel="bookmark" class="title">打破了传统网站的限制</a>
					<div>
						本文记载的是2009年美国最热门的100个B2C网站,总结他们在互联网零售方面是如何激励顾客.维系顾客.服务顾客,以及如何在网站之外与顾客保持联系的许多成功经验. Don Davis:&quot;如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlq4Qb.html" rel="bookmark" class="title">vfp   api dbrecno-SET LIBRARY TO DBRECNO  中DBRECNO  在哪里？</a>
					<div>
						问题描述 SET LIBRARY TO DBRECNO 中DBRECNO 在哪里? SET LIBRARY TO DBRECNO DO CreateTest GO 3 ? DBRECNO() GO 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXWLWz.html" rel="bookmark" class="title">隐藏参数&lowbar;high&lowbar;priority&lowbar;processes与oradism</a>
					<div>
						转载连接:http://www.askmaclean.com/archives/%E9%9A%90%E8%97%8F%E5%8F%82%E6%95%B0_high_priority_processes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB6GAb.html" rel="bookmark" class="title">急&comma;&period;net程序删除文件时总是提示异常</a>
					<div>
						问题描述 我写的一个文件删除应用程序,部分代码如下:picName=dt.Rows[i][0].ToString();//从数据库中得到文件名.FileInfofi=newFileInfo(Serve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXLGjz.html" rel="bookmark" class="title">高清监控专用硬盘有何奇特之处？</a>
					<div>
						高清监控系统相比传统监控系统,分辨率越大.清晰度超高,意味着在进行数据传输的时候码流也会增大,大大增加硬盘压力,此外多路并行的码流优化技术,只有在监控专用硬盘中才可以体现,这是分担硬盘压力的主要功能手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60ZVWz.html" rel="bookmark" class="title">作为一名合格的JAVA程序员需要点亮那些技能树</a>
					<div>
						这是从450家企业的招聘信息中统计而来,相对来说还是比较真实的,虽然有些公司的招聘要求万年不变,但还是可以大致反应企业的招聘要求的.如果你想学习Java可以来这个群,首先是二二零,中间是一四二,最后是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5275p.html" rel="bookmark" class="title">快快游戏与多玩深度合作发布&OpenCurlyDoubleQuote;快快游戏YY特别版&rdquo;最是吸引玩家眼球，盛装重磅登场</a>
					<div>
						&quot;快快游戏YY特别版&quot;从玩家出发,优化已有游戏体验的同时,融入了更多贴心实用的细小功能,到底贴心不贴心?接下来和小编一起去尝鲜&quot;快快游戏YY特别版&quot;带来的游戏应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7ZkrM.html" rel="bookmark" class="title">jquery实现瀑布流效果分享&lowbar;jquery</a>
					<div>
						使用jquery实现瀑布流效果,大家参考使用吧,运行后可以看到效果,代码中的JQ引入一定要换成自己的才好 复制代码 代码如下: &lt;!DOCTYPE html&gt;&lt;html lang=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7VaEM.html" rel="bookmark" class="title">组织类型</a>
					<div>
						组织类型人们从不同的角度将社会组织划分为不同的类型. (一)从社会组织有无正式结构将组织划分为正式组织与非正式组织.前者指成员间的关系比较规范,其活动有严格的规定和要求.如军队.学校.工厂等:后者指成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYNBWb.html" rel="bookmark" class="title">android 录制视频是默认为彩信的短视频分辨率只有177x144</a>
					<div>
						问题描述 android 录制视频是默认为彩信的短视频分辨率只有177x144 android 录制视频是默认为彩信的短视频分辨率只有177x144 而且只能录制十几秒 解决方案 不清楚,可能是网络限 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.038 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
